<?php
/*
See yak-for-wordpress.php for information and license terms
*/
global $model;
?>
<div class="wrap">
<form method="post" action="#">
<h2>Products</h2>

<div class="tablenav">
<div class="alignright">
  <input type="submit" name="products_update" value="Update products" class="button" />
</div><br class="clear" />
</div><br class="clear" />

    <table class="widefat collapsible">
    <colgroup>
        <col width="10%" />
        <col width="45%" />
        <col width="20%" />
        <col width="20%" />
        <col width="5%" />
    </colgroup>
    <thead>
        <tr>
            <th scope="col"><?php _e('ID', 'yak-admin') ?></th>
            <th scope="col"><?php _e('Page/Post Title', 'yak-admin') ?></th>
            <th scope="col"><?php _e('Product Title', 'yak-admin') ?></th>
            <th scope="col"><?php _e('Price', 'yak-admin') ?></th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>     

<?php
if ($products) {
foreach ($products as $product) {
    
$class = 'even' == $class ? '' : 'even';
?>
        <tr class="<?php echo $class ?>">
            <td><?php echo $product->id ?><input type="hidden" name="id[]" value="<?php echo $product->id; ?>" /></td>
            <td><strong><a href="<?php echo get_settings('siteurl'); ?>/wp-admin/post.php?action=edit&post=<?php echo $product->id ?>"><?php echo $product->post_title ?></a></strong></td>
            <td><input type="text" size="40" name="title_<?php echo $product->id ?>" value="<?php echo yak_fix_escaping($product->title) ?>" /></td>
            <td><input type="text" size="6" name="price_<?php echo $product->id ?>" value="<?php echo $product->price ?>" /></td>
            <td class="collapsible" id="product-<?php echo $product->id ?>"></td>
        </tr>
        <tr class="expand-child <?php echo $class ?>">
            <td colspan="5">
                <?php
                    include 'yak-view-product-snippet.php';
                ?>
            </td>
        </tr>
<?php }} ?>
    </tbody>
    </table>
    <div class="submit">
    <input type="submit" name="products_update" value="<?php _e('Update products', 'yak-admin') ?>" />
    </div>

</form>

</div>
